tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mike Jackson" <mjack...@cdi-hq.com>
Subject RE: build-unix.sh error for mod_jk.so
Date Wed, 26 Feb 2003 21:23:58 GMT
I don't see the that thread option set, so it must not be using it.  That
option should probably appear after "cc", somewhere prior to the "-c" and
the source file.

--mikej
-=-----
mike jackson
mjackson@cdi-hq.com

> -----Original Message-----
> From: David.Vann@mjh.org [mailto:David.Vann@mjh.org]
> Sent: Wednesday, February 26, 2003 12:05 PM
> To: Tomcat Users List
> Subject: build-unix.sh error for mod_jk.so
>
>
> When trying to build mod_jk.so  on Tru64 Unix 5.1  using Apache
> 1.3.27 and
> tomcat 3.3.1a I get the following error, can someone guild me in the
> correct direction:
>  Compiling mod_jk
> 13  cc -DOSF1 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite
> -DSHARED_MODULE
> -I/usr/local/apache/include -I../common -I/usr/opt/java131/include
> -I/usr/opt/ja
> va131/include/alpha  -c mod_jk.c
>     14  cc -DOSF1 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite
> -DSHARED_MODULE
> -I/usr/local/apache/include -I../common -I/usr/opt/java131/include
> -I/usr/opt/ja
> va131/include/alpha  -c ../common/jk_ajp12_worker.c
>     15  cc -DOSF1 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite
> -DSHARED_MODULE
> -I/usr/local/apache/include -I../common -I/usr/opt/java131/include
> -I/usr/opt/ja
> va131/include/alpha  -c ../common/jk_ajp13.c
>     16  cc -DOSF1 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite
> -DSHARED_MODULE
> -I/usr/local/apache/include -I../common -I/usr/opt/java131/include
> -I/usr/opt/ja
> va131/include/alpha  -c ../common/jk_ajp13_worker.c
>     17  cc -DOSF1 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite
> -DSHARED_MODULE
> -I/usr/local/apache/include -I../common -I/usr/opt/java131/include
> -I/usr/opt/ja
> va131/include/alpha  -c ../common/jk_connect.c
>     18  cc -DOSF1 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite
> -DSHARED_MODULE
> -I/usr/local/apache/include -I../common -I/usr/opt/java131/include
> -I/usr/opt/ja
> va131/include/alpha  -c ../common/jk_jni_worker.c
>     19  cc: Error: /usr/opt/java131/include/jni.h, line 34: #error
> "Modules that
>  interface with Java must be compiled and linked with the
> -pthread option"
> (erro
> rmessage)
>     20  #error "Modules that interface with Java must be compiled and
> linked wit
> h the -pthread option"
>     21  -^
>
> I thought the -pthread option was set.  If not how do I set it or
> how do I
> compile the java modules?
>
>
> Sincerely,
>
> David Vann
> Martha Jefferson Hospital
> 459 Locust Avenue
> Charlottesville, VA 22902
> David.Vann@mjh.org
> Phone (434) 244-5911
> Fax (434) 982-7351



---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org


Mime
View raw message